Summary:	The GNOME front-end for linuxconf
Name:		gnome-linuxconf
Version:	0.67.1
Release:	8mdk
License:	GPL
Group:		System/Configuration/Other
BuildRequires:	gnome-libs-devel popt-devel zlib-devel
Source:		http://prdownloads.sourceforge.net/gnome-linuxconf/%{name}-%{version}.tar.bz2
Source1:	userconf_icons.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://sourceforge.net/projects/gnome-linuxconf/
Conflicts:	linuxconf < 1.25
BuildPrereq:	linuxconf-devel
Requires:	linuxconf

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  The gnome-linuxconf package includes
GNOME's front end for the linuxconf system configuration utility.

%prep
%setup -q -a1

%configure

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):needs="X11" section="Configuration/Other" \
title="LinuxConf" \
command="/bin/linuxconf" \
description="An extremely capable system configuration tool" \
icon="other_configuration.png"

?package(%{name}):needs="X11" \
section="Configuration/Networking" \
title="Netconf" \
command="/sbin/netconf" \
description="Configuration of your network" \
icon="networking_section.png"

?package(%{name}):needs="X11" \
section="Configuration/Other" \
title="Userconf" \
command="/sbin/userconf" \
description="Administration of users" \
icon="other_configuration.png"
EOF


mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
install -m 644 userconf_16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/userconf.xpm
install -m 644 userconf_48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/userconf.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/gnome-linuxconf
%{_menudir}/*
%{_liconsdir}/userconf.xpm
%{_miconsdir}/userconf.xpm

%changelog
* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.67.1-8mdk
- rebuild

* Thu Jan 16 2003 Daouda LO <daouda@mandrakesoft.com> 0.67.1-7mdk
- rebuild (new glibc and/or unpackaged files)

* Sat Sep  7 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.67.1-5mdk
- make linuxconf menu entry point to /bin/linuxconf, not /sbin/linuxconf

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.67.1-4mdk
- Fix menu entries

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.67.1-3mdk
- Fix icon in menu

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.67.1-2mdk
- BuildRequires:	popt-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	XFree86-devel

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.67.1-1mdk
- Release 0.67.1

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.67-1mdk
- 0.67 (needed for last linuxconf version).

* Tue Oct 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.33-3mdk
- Rebuild with new linux-conf
- add icons for userconf in package

* Tue Oct  3 2000 Pixel <pixel@mandrakesoft.com> 0.33-2mdk
- Add requires on linuxconf
- moved the menu entries from linuxconf to gnome-linuxconf (as it should, since
  these are x11 type menu entries)

* Thu Sep 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33-1mdk
- Release 0.33

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.32-2mdk
- automatically added BuildRequires

* Sat Jul  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.32-1mdk
- Macroszification.
- 0.32.
- Remove obsoletes stuff

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakeosoft.com> 0.23-2mdk
- libtoolized
- relocate in new group structure.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.23-1mdk
- 0.23.
- Make sure to regenerate a libtool before.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild/Relink

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adpatations.

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- button padding
- a little bigger by default
- notebook tab scrolling turned on
- replaced wmconfig file with applnk file

* Thu Apr 01 1999 Michael K. Johnson <johnsonm@redhat.com>
- exit cleanly when linuxconf sends clist items without a clist

* Thu Mar 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix bug in choice menu state reporting for default choice

* Mon Mar 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- honor and report the menu tree state
- new summary/description/group

* Sun Feb 07 1999 Michael K. Johnson <johnsonm@redhat.com>
- New version now builds against Gtk 1.1.15 as well

* Mon Jan 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- new improved version, should build both with GNOME 0.20/Gtk 1.0.x
  and with GNOME 0.99.x/Gtk 1.1.x

* Thu Oct 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- imported back into official gnome tree, new version to celebrate!

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- library fix

* Mon Sep 28 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed lots of bugs, now has treemenu mode

* Thu May 07 1998 Michael K. Johnson <johnsonm@redhat.com>
- linuxconf 1.11r11 handles fast connections appropriately.

* Tue May 05 1998 Michael K. Johnson <johnsonm@redhat.com>
- ignore SIGTSTP to work around suspected gtk bug
- fix use of vsnprintf()
- fix port 98 remadmin connections
- fixed resizing bug without completely changing layout

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed resizing bug
- added wmconfig entry for linuxconf

* Sat May 02 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed radio buttons, deal with "rich text"
- improved justification follows remadmin standard more closely

* Fri May 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixes radio buttons and combo boxes
- work around small gnome problems

* Wed Apr 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- takes title widths into account, so works with 0-length clists

* Thu Apr 16 1998 Michael K. Johnson <johnsonm@redhat.com>
- Now works with linuxconf 1.10r21
- Fixed a few more display problems.

* Wed Apr 15 1998 Michael K. Johnson <johnsonm@redhat.com>
- New io engine, some other improvements, make this really usable.

* Thu Apr 09 1998 Michael K. Johnson <johnsonm@redhat.com>
- Make a linuxconf-only package.  Final intent is to split gnome
  packages out more finely-grained than the current CVS tree.

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-admin CVS source tree
